import { ActivityOptions, Client } from "discord.js";
import { Response } from "../response/response";
import { Console } from "../console/console";
import { DataLoader } from "../data";
export interface MessageResponse {
    message: string;
    react?: string;
    reply?: boolean;
}
export interface SBotOptions {
    token?: string;
    activityRefreshInterval?: number;
}
export declare class SBotClient extends Client {
    private utility;
    constructor(options: SBotOptions);
    private state;
    useActivity(activity: ActivityOptions): void;
    private setSelfActivity;
    useResponse(response: Response): void;
    private response;
    useConsole(console: Console): void;
    useDataLoader(loader: DataLoader): void;
}
