import { Loader } from "../data/loader";
import { MessageResponse, SBotClient } from "../client";
export interface TriggerOptions {
    prefixes?: string[];
    mention?: boolean;
    keywords: string[] | Loader;
    keywords_exact_check?: boolean;
}
export interface responseOptions {
    loader: Loader;
    reply?: boolean;
    react?: string;
}
export interface ResponseOptions {
    trigger: TriggerOptions;
    response: responseOptions;
}
export declare class Response {
    private client?;
    setClient(client: SBotClient): void;
    private trigger;
    private response;
    private triggeredKeyword?;
    get triggered(): string | undefined;
    private returnedItem?;
    get lastReturned(): {
        index: number;
        data: string;
    } | undefined;
    constructor(Options: ResponseOptions);
    isTrigger(message: string): boolean;
    getReply(): MessageResponse;
}
