import readline from "readline";
export class Console {
    constructor(client) {
        this.client = client;
        const rl = readline.createInterface({
            input: process.stdin,
            output: process.stdout,
        });
        rl.on("line", (cmd) => {
            this.execute(cmd);
        });
    }
    execute(cmd) {
        const cmds = cmd.split(" ");
        switch (cmds[0]) {
            case "logout":
                this.client?.destroy();
                process.exit(0);
            default:
                return "Unknown Command";
        }
    }
}
